Workspaces API
Version: 1.0
List instance users
GET
/workspace/orgs/{org_id}/members/usersReturns a paginated list of all users with access to the Evo instance. Users with multiple roles will only have their most privileged role returned.
Request
Responses
200
Successful Response
countinteger
firsturi
(1, 2,083) chars
nexturi | null
(1, 2,083) chars
previousuri | null
(1, 2,083) chars
emailstring
full_namestring
iduuid
descriptionstring
iduuid
namestring
{
"links": {
"count": 0,
"first": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"results": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}
401
No permission -- see authorization schemes
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
403
Request forbidden -- authorization will not help
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
404
Resource not found or user lacks access
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
405
Specified method is invalid for this resource
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
422
Unprocessable Content
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}